﻿Imports System.Threading
Imports System.Globalization

Public Class Form1
    ' Display values formatted for different locales.
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ' American English.
        Thread.CurrentThread.CurrentCulture = New CultureInfo("en-US", False)
        DisplayValues(lstAmerican)

        ' British English.
        Thread.CurrentThread.CurrentCulture = New CultureInfo("en-GB", False)
        DisplayValues(lstBritish)

        ' German (in Germany).
        Thread.CurrentThread.CurrentCulture = New CultureInfo("de-DE", False)
        DisplayValues(lstGerman)

        ' French (in France).
        Thread.CurrentThread.CurrentCulture = New CultureInfo("fr-FR", False)
        DisplayValues(lstFrench)
    End Sub

    ' Display values in the LstBox using the current culture.
    Private Sub DisplayValues(ByVal lst As ListBox)
        Dim f As Single = 1234.56F
        Dim d As DateTime = #12/1/2010 1:45:00 PM#

        lst.Items.Add(String.Format("{0:N}", f))
        lst.Items.Add(String.Format("{0:C}", f))
        lst.Items.Add(String.Format("{0:D}", d))
        lst.Items.Add(String.Format("{0:d}", d))
        lst.Items.Add(String.Format("{0:t}", d))
    End Sub
End Class
